globus_priority_q.h(3)

NAME
globus_priority_q.h - Priority Queue.

SYNOPSIS

#include 'globus_types.h'
#include 'globus_memory.h'

  Data Structures

struct globus_priority_q_s
Priority Queue Structure.

  Typedefs

typedef int(* globus_priority_q_cmp_func_t) (void *priority_1, void *priority_2)
Priority Comparison Predicate.
typedef struct globus_priority_q_s globus_priority_q_t
Priority Queue Structure.

  Functions

int globus_priority_q_init (globus_priority_q_t *priority_q, globus_priority_q_cmp_func_t cmp_func)
Initialize a priority queue.
int globus_priority_q_destroy (globus_priority_q_t *priority_q)
Destroy a Priority Queue.
globus_bool_t globus_priority_q_empty (globus_priority_q_t *priority_q)
Priority Queue Empty Predicate.
int globus_priority_q_size (globus_priority_q_t *priority_q)
Priority Queue Size.
int globus_priority_q_enqueue (globus_priority_q_t *priority_q, void *datum, void *priority)
Add a Datum to a Priority Queue.
void * globus_priority_q_remove (globus_priority_q_t *priority_q, void *datum)
Remove an Arbitrary Datum from a Priority Queue.
void * globus_priority_q_modify (globus_priority_q_t *priority_q, void *datum, void *new_priority)
Modify the Priority of Datum.
void * globus_priority_q_dequeue (globus_priority_q_t *priority_q)
Remove a Datum From A Priority Queue.
void * globus_priority_q_first (globus_priority_q_t *priority_q)
Get the Highest-Priority Datum From a Priority Queue.
void * globus_priority_q_first_priority (globus_priority_q_t *priority_q)
Get the Highest Priority in Priority Queue.

Detailed Description

Priority Queue.

Author

Generated automatically by Doxygen for globus_common from the source code.